from .page import Page

class OverviewPage(Page):
    def __init__(self, out_dir, name, branches, tags, content_subdir):
        super(OverviewPage, self).__init__('overview.md', out_dir, '_index.md', name, content_subdir)
        self.branches = branches
        self.tags = tags

    def context(self):
        return {
            'branches': self.branches,
            'content_subdir': self.content_subdir,
            'tags': self.tags,
            'title': self.name
        }

